/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Interred Grizzle\Rare Drop\MonstrousGrizzleCrown.cs
Lines of code: 36
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class MonstrousGrizzleCrown : BoneHelm
	{
		public override int BaseFireResistance{ get{ return 14; } }
		public override int BaseEnergyResistance{ get{ return 12; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public MonstrousGrizzleCrown()
		{
			Hue = 2213;
			Name = "Monstrous Grizzle Crown";
			Attributes.RegenHits = 4;
			Attributes.RegenStam = 2;
			Attributes.WeaponDamage = 20;
			Attributes.LowerManaCost = 10;
			ArmorAttributes.MageArmor = 1;
		}

		public MonstrousGrizzleCrown( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}